package test

import (
	"testing"
	"github.com/stretchr/testify/assert"
	"encoding/json"
	"loafle.com/overflow/crawler_go/health_crawler/redis_protocol_crawler_go"
	"loafle.com/overflow/crawler_go"
	
)

func initConfig() crawler.CrawlerImpl{
	c := crawler.CrawlerImpl{}
	c.SetInternal(redis_protocol_crawler_go.NewRedisHeahthCrawler())
	c.Init("./")
	return c
}


func TestCrawlerInit(t *testing.T) {
	
	c := initConfig()
	m := c.GetConfig("example.json")
	assert.Equal(t, m.Id , "SOEJWEOJWOEJOSDJFOASDJFOSDFO2903870928734")
	
}

func TestCrawlerAdd(t *testing.T) {
	
	c := initConfig()
	c.Remove("example.json")
	b , _ := c.Add("example.json")
	
	var ck bool
	json.Unmarshal(b,&ck)
	
	assert.Equal(t,true,ck)
	
}

func TestCrawlerRemove(t *testing.T) {
	c := initConfig()
	b, _ := c.Remove("example.json")
	
	var ck bool
	json.Unmarshal(b,&ck)
	
	assert.Equal(t,true,ck)
}

func TestCrawlerGet(t *testing.T) {
	c := initConfig()
	b, _ := c.Get("example.json")
	
	var ck bool
	json.Unmarshal(b,&ck)
	
	assert.Equal(t,true,ck)
}


